# Notifications API

Bird's Notification API offers a streamlined way to access event data within our services. For instance, you can configure [webhook subscriptions](/api/notifications-api/api-reference/webhook-subscriptions.md) to receive notifications about sent messages, payments and updates on number compliance submissions to regulatory government branches. Additionally, the API provides access to [webhook logs](/api/notifications-api/api-reference/webhook-subscriptions/webhook-subscription-logs.md), including errors, requests, responses and other details for enhanced transparency and debugging.

### API Access, Authorizations and Usage

For detailed instructions on obtaining access, please refer to the [API Access section](/api/api-access.md). There, you'll find guidance on acquiring access tokens and the base URL required for subsequent requests. If you already finished setting your access, please refer to subsection [Common API usage](/api/api-access/common-api-usage.md) to understand how to send requests to Bird and how to work with our responses.

To learn more about Notifications API, please refer to the API Reference linked below.

{% content-ref url="/pages/Fe916zue7lgzE8fKDMeH" %}
[API Reference](/api/notifications-api/api-reference.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/notifications-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
